package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.WsStoneIntroduce;
import com.ruoyi.system.domain.other.WsStoneIntroduceExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WsStoneIntroduceMapper {
    long countByExample(WsStoneIntroduceExample example);

    int deleteByExample(WsStoneIntroduceExample example);

    int deleteByPrimaryKey(String id);

    int insert(WsStoneIntroduce record);

    int insertSelective(WsStoneIntroduce record);

    List<WsStoneIntroduce> selectByExampleWithBLOBs(WsStoneIntroduceExample example);

    List<WsStoneIntroduce> selectByExample(WsStoneIntroduceExample example);

    WsStoneIntroduce selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") WsStoneIntroduce record, @Param("example") WsStoneIntroduceExample example);

    int updateByExampleWithBLOBs(@Param("record") WsStoneIntroduce record, @Param("example") WsStoneIntroduceExample example);

    int updateByExample(@Param("record") WsStoneIntroduce record, @Param("example") WsStoneIntroduceExample example);

    int updateByPrimaryKeySelective(WsStoneIntroduce record);

    int updateByPrimaryKeyWithBLOBs(WsStoneIntroduce record);

    int updateByPrimaryKey(WsStoneIntroduce record);
}
